Loading...
Searching...
No Matches
pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT > Class Template Reference
Module outofcore

`#include <pcl/outofcore/outofcore_depth_first_iterator.h>`

Inheritance diagram for pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >:

## Public Types

using | OctreeDisk = pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >
using | OctreeDiskNode = pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >
using | LeafNode = pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >
using | BranchNode = pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >
Public Types inherited from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >
using | iterator_category = std::forward_iterator_tag
using | value_type = const OutofcoreOctreeBaseNode< ContainerT, PointT >
using | difference_type = void
using | pointer = const OutofcoreOctreeBaseNode< ContainerT, PointT > *
using | reference = const OutofcoreOctreeBaseNode< ContainerT, PointT > &
using | OctreeDisk = pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >
using | OctreeDiskNode = pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >
using | BranchNode = typename pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::BranchNode
using | LeafNode = typename pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::LeafNode
using | OutofcoreNodeType = typename OctreeDisk::OutofcoreNodeType

## Public Member Functions

| OutofcoreDepthFirstIterator (OctreeDisk &octree_arg)
| ~OutofcoreDepthFirstIterator () override
OutofcoreDepthFirstIterator & | operator++ ()
OutofcoreDepthFirstIterator | operator++ (int)
void | skipChildVoxels ()
Public Member Functions inherited from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >
| OutofcoreIteratorBase (OctreeDisk &octree_arg)
virtual | ~OutofcoreIteratorBase ()=default
| OutofcoreIteratorBase (const OutofcoreIteratorBase &src)
OutofcoreIteratorBase & | operator= (const OutofcoreIteratorBase &src)
OutofcoreNodeType * | operator* () const
virtual OutofcoreNodeType * | getCurrentOctreeNode () const
virtual void | reset ()
void | setMaxDepth (unsigned int max_depth)

## Protected Attributes

unsigned char | currentChildIdx_ {0}
std::vector< std::pair< OctreeDiskNode *, unsigned char > > | stack_
Protected Attributes inherited from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >
OctreeDisk & | octree_
OctreeDiskNode * | currentNode_
unsigned int | currentOctreeDepth_
unsigned int | max_depth_

## Detailed Description

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>
class pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >

Author
  Stephen Fox (foxst.nosp@m.ephe.nosp@m.nd@gm.nosp@m.ail..nosp@m.com)

Note
  Code adapted from octree_iterator.h in Module pcl::octree written by Julius Kammerl

Definition at line 53 of file outofcore_depth_first_iterator.h.

## Member Typedef Documentation

## BranchNode

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

using pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::BranchNode = pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT>

Definition at line 60 of file outofcore_depth_first_iterator.h.

## LeafNode

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

using pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::LeafNode = pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT>

Definition at line 59 of file outofcore_depth_first_iterator.h.

## OctreeDisk

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

using pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::OctreeDisk = pcl::outofcore::OutofcoreOctreeBase<ContainerT, PointT>

Definition at line 56 of file outofcore_depth_first_iterator.h.

## OctreeDiskNode

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

using pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::OctreeDiskNode = pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT>

Definition at line 57 of file outofcore_depth_first_iterator.h.

## Constructor & Destructor Documentation

## OutofcoreDepthFirstIterator()

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::OutofcoreDepthFirstIterator | ( | OctreeDisk & | octree_arg | ) |

explicit

Definition at line 48 of file outofcore_depth_first_iterator.hpp.

References pcl::outofcore::OutofcoreOctreeBase< ContainerT, PointT >::getTreeDepth(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::octree_, pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::reset(), and pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::stack_.

## ~OutofcoreDepthFirstIterator()

template<typename PointT , typename ContainerT >

pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::~OutofcoreDepthFirstIterator | ( |  | ) |

override default

## Member Function Documentation

## operator++() [1/2]

template<typename PointT , typename ContainerT >

OutofcoreDepthFirstIterator< PointT, ContainerT > & pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::operator++ | ( |  | ) |

Definition at line 66 of file outofcore_depth_first_iterator.hpp.

References pcl::octree::BRANCH_NODE.

## operator++() [2/2]

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

OutofcoreDepthFirstIterator pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::operator++ | ( | int |  | ) |

inline

Definition at line 72 of file outofcore_depth_first_iterator.h.

## skipChildVoxels()

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

void pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::skipChildVoxels | ( |  | ) |

## Member Data Documentation

## currentChildIdx_

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

unsigned char pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::currentChildIdx_ {0}

protected

Definition at line 83 of file outofcore_depth_first_iterator.h.

## stack_

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

std::vector<std::pair<OctreeDiskNode*, unsigned char> > pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::stack_

protected

Definition at line 84 of file outofcore_depth_first_iterator.h.

Referenced by pcl::outofcore::OutofcoreDepthFirstIterator< PointT, ContainerT >::OutofcoreDepthFirstIterator().

The documentation for this class was generated from the following files:

- pcl/outofcore/outofcore_depth_first_iterator.h
- pcl/outofcore/impl/outofcore_depth_first_iterator.hpp